Subject: Re: bug#10324: [Platform-testers] Automake 1.11.1b test release

From: Peter Rosin <[email-masked]>
Date: Mon, 19 Dec 2011 11:14:42 +0100

Peter Rosin skrev 2011-12-19 10:58:
>>> I used the configuration commands
>>>
>>> CC="$HOME/msvc/compile cl -nologo"; export CC;
>>> CFLAGS=""; export CFLAGS;
>>> CXX="$HOME/msvc/compile cl -nologo"; export CXX;
>>> CXXFLAGS=""; export CXXFLAGS;
>>> CPPFLAGS="-D_WIN32_WINNT=_WIN32_WINNT_WINXP -I/usr/local/msvc/include"; export CPPFLAGS;
>>> LDFLAGS="-L/usr/local/msvc/lib"; export LDFLAGS;
>>> LD="link"; export LD;
>>> NM="dumpbin -symbols"; export NM;
>>> STRIP=":"; export STRIP;
>>> AR="$HOME/msvc/ar-lib lib"; export AR;
>>> RANLIB=":"; export RANLIB;
>>> ./configure --host=i586-pc-mingw32 --prefix=/usr/local/msvc
>>
>> This smells like a testsuite weakness of some kind.  The testcase
>> specifies
>>
>> 	required=g++
>>
>> but that fails to completely beat CXX=...cl... from the environment.
>> If I run the configure script outside of the testcase, I get

Oh crap, you are crossing over from Cygwin without telling the build
system, right? Or what is your $build if you don't specify --host?
I should have known that, given that it was you... I expect weird
stuff like this to happen when stunts like that are pulled. Even if
*you* engage in such activities, please don't expect anyone else to
fix the resulting weirdness.

Cheers,
Peter